hostapdとwpa_supplicantの脆弱性(CVE-2019-16275)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

09/11/2019にhostapdとwpa_supplicantの脆弱性(CVE-2019-16275)が公開されました。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

CVE番号 影響するバージョン Priority CVSS Score / CVSS Vector
CVE-2019-16275 hostapd, wpa_supplicant<2.10

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • AP mode PMF disconnection protection bypass
  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-16275
    • DoSの可能性
    • hostapd(と、APモードを制御しているwpa_supplicant)は受信した管理フレームに対して充分なソースアドレスの検証を行っていませんでした。これにより、最後には関連付けられたステーションに対して(PMFとして知られる管理フレーム保護機構が有効になっていたとしても)ネットワークから切断されたと信じさせる事が出来ることがわ借りました。これはPMFが有効になっていたとしても発生するためDOSと考えることが出来ます。PMFが有効になっていない場合には、この種のDoSに対するプロトコルレベルの保護機構は無いことに気をつけて下さい。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。< /p>

Red Hat Satelliteを用いた一般的なErattaの適用は、『Red Hat Satellite 6でerrataを適用してみる』を参考にして下さい。

[参考]

AP mode PMF disconnection protection bypass

セキュリティ系連載案内

セミナー情報1

2019/09/30(月) 19:00-21:00に「OSSセキュリティ技術の会 第六回勉強会(副題:大紅帽八連制覇の巻)」と題しまして、Red Hat Enterprise Linux 8のセキュリティに特化した話をさせて頂きます。

また、先日サンディエゴで開催されましたLinux Security Summit 2019の情報共有も行う予定です。

プログラム内容と申し込みの詳細につきましては、https://secureoss-sig.connpass.com/event/145125/をご覧下さい。

皆様の申込みをお待ちしております。


セミナー情報2

Red Hat Enterprise Linux 8 が発表され、今後のクラウドネイティブアプリケーションの基盤としてなくてはならないOSになると言われています。この重要なRHEL8を技術的に深堀りして、得た知見を共有するための場を用意したいと考え、「令和初のRHELを技術的に深堀りしましょう」としてイベントを行います。

前半はビジネス向けのTipsセミナーを行い、後半はネットワーキングとより深堀りしたディープな技術セッションを飲みながら会話をしながらお楽しみ頂けたらと考えております。

今後、このイベントはオープンにコミュニティーとして運用を行う予定です。 ぜひ皆様のご参加をお待ちしております。

こちらから申し込みが可能です。今後、このイベントはオープンにコミュニティーとして運用を行う予定です。 ぜひ皆様のご参加をお待ちしております。

セミナー情報3

コンピュータセキュリティシンポジウム2019(長崎)が2019年10月21日(月) ~ 10月24日(木)で開催されます。

こちらですが、OSSセキュリティ技術の会も後援になっており、オープンソースソフトウェア(OSS)セキュリティ技術トラック(略称:OWSトラック) も用意しております。


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

curlの脆弱性情報(Medium: CVE-2019-5481, CVE-2019-5482)

次へ

Pythonの脆弱性情報(High: CVE-2019-16056)